## golang-github-prometheus-client-golang 1.20.2

=== debian/changelog ===
golang-github-prometheus-client-golang (1.20.2-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 23 Aug 2024 19:16:31 +0000
