=== debian/control ===
Source: golang-github-prometheus-client-golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-beorn7-perks-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-json-iterator-go-dev,
               golang-github-klauspost-compress-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-prometheus-client-model-dev (>= 0.5.0),
               golang-github-prometheus-common-dev (>= 0.55.0),
               golang-github-prometheus-procfs-dev,
               golang-google-protobuf-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
Homepage: https://github.com/prometheus/client_golang.git
XS-Go-Import-Path: github.com/prometheus/client_golang

Package: golang-github-prometheus-client-golang-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-beorn7-perks-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-json-iterator-go-dev,
         golang-github-klauspost-compress-dev,
         golang-github-kylelemons-godebug-dev,
         golang-github-prometheus-client-model-dev (>= 0.5.0),
         golang-github-prometheus-common-dev (>= 0.55.0),
         golang-github-prometheus-procfs-dev,
         golang-google-protobuf-dev,
         ${misc:Depends},
Provides: golang-prometheus-client-dev,
Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),
        golang-github-grpc-ecosystem-go-grpc-prometheus-dev (<< 1.2.0+git20191002~),
        golang-github-mwitkow-go-conntrack-dev (<< 0.0~git20190716~),
        golang-github-prometheus-common-dev (<< 0.44.0~),
        golang-redoctober (<< 0.0~git20161017.0.78e9720-4~),
        prometheus-postfix-exporter (<< 0.2.0-1~),
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
  * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
  * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)
