## golang-github-prometheus-client-golang 1.20.5

=== debian/changelog ===
golang-github-prometheus-client-golang (1.20.5-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 31 Oct 2024 18:13:54 +0000

golang-github-prometheus-client-golang (1.20.4-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 19 Sep 2024 13:03:13 +0000

golang-github-prometheus-client-golang (1.20.3-2) unstable; urgency=medium

  * Add new 0005-Support-prometheus-common-0.59.0.patch
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.59.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Sep 2024 12:11:52 +0000

golang-github-prometheus-client-golang (1.20.3-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 08 Sep 2024 14:07:34 +0000
