## golang-github-prometheus-client-golang 1.21.0

=== debian/changelog ===
golang-github-prometheus-client-golang (1.21.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete patches
    - 0004-Add-metrics-in-test-for-Go-1.23.patch
    - 0005-Support-prometheus-common-0.59.0.patch
  * Add new 0004-Add-collector-metrics-test-for-Go-1.24.patch
  * debian/rules: update DH_GOLANG_EXCLUDES

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 19 Feb 2025 21:55:16 +0000
