=== debian/changelog ===
golang-github-prometheus-client-golang (1.21.1-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Mar 2025 17:00:25 +0000
