=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-kylelemons-godebug-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.55.0),
+               golang-github-prometheus-common-dev (>= 0.59.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
 Standards-Version: 4.7.0
@@ -36,7 +36,7 @@
          golang-github-klauspost-compress-dev,
          golang-github-kylelemons-godebug-dev,
          golang-github-prometheus-client-model-dev (>= 0.5.0),
-         golang-github-prometheus-common-dev (>= 0.55.0),
+         golang-github-prometheus-common-dev (>= 0.59.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},
