=== debian/changelog ===
golang-github-prometheus-client-golang (1.23.0-2) unstable; urgency=medium

  * Team upload.
  * Disable tests that break with golang 1.25, Closes: #1117401

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Oct 2025 09:55:47 -0400

golang-github-prometheus-client-golang (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Update dependencies:
    - add golang-github-google-go-cmp-dev
    - add golang-uber-goleak-dev
    - drop golang-github-davecgh-go-spew-dev
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 16 Aug 2025 19:23:13 +0000
