=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-prometheus-client-golang
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-beorn7-perks-dev,
                golang-github-cespare-xxhash-dev,
-               golang-github-davecgh-go-spew-dev,
+               golang-github-google-go-cmp-dev,
                golang-github-json-iterator-go-dev,
                golang-github-klauspost-compress-dev,
                golang-github-kylelemons-godebug-dev,
@@ -19,11 +19,12 @@
                golang-github-prometheus-common-dev (>= 0.59.0),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
+               golang-uber-goleak-dev,
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-golang.git
-Homepage: https://github.com/prometheus/client_golang.git
+Homepage: https://github.com/prometheus/client_golang
 XS-Go-Import-Path: github.com/prometheus/client_golang
 
 Package: golang-github-prometheus-client-golang-dev
@@ -31,7 +32,7 @@
 Multi-Arch: foreign
 Depends: golang-github-beorn7-perks-dev,
          golang-github-cespare-xxhash-dev,
-         golang-github-davecgh-go-spew-dev,
+         golang-github-google-go-cmp-dev,
          golang-github-json-iterator-go-dev,
          golang-github-klauspost-compress-dev,
          golang-github-kylelemons-godebug-dev,
@@ -39,6 +40,7 @@
          golang-github-prometheus-common-dev (>= 0.59.0),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
+         golang-uber-goleak-dev,
          ${misc:Depends},
 Provides: golang-prometheus-client-dev,
 Breaks: golang-github-cloudflare-redoctober-dev (<< 0.0~git20161017.0.78e9720-4~),
