## golang-github-prometheus-client-golang 1.23.2

=== debian/changelog ===
golang-github-prometheus-client-golang (1.23.2-1ubuntu1) resolute; urgency=medium

  * d/p/update-metrics-for-golang-1.25.patch: Update metrics to fix FTBFS
    against golang 1.25 (LP: #2125964)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 18 Feb 2026 17:19:13 -0500

golang-github-prometheus-client-golang (1.23.2-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.66.1)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 30 Dec 2025 13:28:27 +0000
