=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-prometheus-client-golang
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
@@ -16,7 +17,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-kylelemons-godebug-dev,
                golang-github-prometheus-client-model-dev (>= 0.5.0),
-               golang-github-prometheus-common-dev (>= 0.59.0),
+               golang-github-prometheus-common-dev (>= 0.66.1),
                golang-github-prometheus-procfs-dev,
                golang-google-protobuf-dev,
                golang-uber-goleak-dev,
@@ -37,7 +38,7 @@
          golang-github-klauspost-compress-dev,
          golang-github-kylelemons-godebug-dev,
          golang-github-prometheus-client-model-dev (>= 0.5.0),
-         golang-github-prometheus-common-dev (>= 0.59.0),
+         golang-github-prometheus-common-dev (>= 0.66.1),
          golang-github-prometheus-procfs-dev,
          golang-google-protobuf-dev,
          golang-uber-goleak-dev,
